Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.rdf.model
Interface Selector

All Known Implementing Classes:
  SimpleSelector

    public interface Selector

A Statement selector.

Model includes list and query methods which will return all the statements which are selected by a selector object. This is the interface of such selector objects.

Version:
  Release='$Name: $' Revision='$Revision: 1.9 $' Date='$Date: 2008/01/02 12:05:48 $'
Author:
  bwm, kers

Method Summary
`RDFNode` | `getObject()` Answer the only RDFNode object that this Selector will match, or null if it can match more than a single node.
`Property` | `getPredicate()` Answer the only predicate Property that this Selector will match, or null if it can match more than a single property.
`Resource` | `getSubject()` Answer the only subject Resource that this Selector will match, or null if it can match more that a single resource.
`boolean` | `isSimple()` Answer true iff this Selector is completely characterised by its subject, predicate, and object fields.
`boolean` | `test(Statement s)` Determine whether a Statement should be selected.

Method Detail

### test

    boolean test(Statement s)

  Determine whether a Statement should be selected.

  Parameters:
    `s` - The statement to be considered.
  Returns:
    true if the statement has been selected.

### isSimple

    boolean isSimple()

  Answer true iff this Selector is completely characterised by its subject, predicate, and object fields. If so, the `test` predicate need not be called to decide if a statement is acceptable. This allows query engines lattitude for optimisation (and our memory-based and RDB-based model implementations both exploit this licence).

### getSubject

    Resource getSubject()

  Answer the only subject Resource that this Selector will match, or null if it can match more that a single resource.

### getPredicate

    Property getPredicate()

  Answer the only predicate Property that this Selector will match, or null if it can match more than a single property.

### getObject

    RDFNode getObject()

  Answer the only RDFNode object that this Selector will match, or null if it can match more than a single node.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP